# Interface ParameterHolder

All Known Implementing Classes:
  `BigDecimalParameter, BooleanParameter, ByteArrayParameter, ByteParameter, DateParameter, DefaultParameter, DoubleParameter, FloatParameter, IntParameter, LocalTimeParameter, LongParameter, NullParameter, OffsetTimeParameter, ReaderParameter, SerializableParameter, ShortParameter, StreamParameter, StringParameter, TimeParameter, TimestampParameter, ZonedDateTimeParameter`

public interface ParameterHolder

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte[]`
`BINARY_INTRODUCER`
`static final byte`
`QUOTE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canBeLongData()`
`int`
`getApproximateTextProtocolLength()`
`ColumnType`
`getColumnType()`
`boolean`
`isNullData()`
`String`
`toString()`
`void`
`writeBinary(PacketOutputStream pos)`
`default void`
`writeLongData(PacketOutputStream pos)`
`void`
`writeTo(PacketOutputStream os)`
Write parameter value.

## Field Details

### BINARY_INTRODUCER

static final byte[] BINARY_INTRODUCER

### QUOTE

static final byte QUOTE

See Also:
  - Constant Field Values

## Method Details

### writeTo

void writeTo(PacketOutputStream os) throws IOException
Write parameter value.

Parameters:
  `os` - the stream to write to
Throws:
  `IOException` - when something goes wrong

### writeBinary

void writeBinary(PacketOutputStream pos) throws IOException

Throws:
  `IOException`

### writeLongData

default void writeLongData(PacketOutputStream pos) throws IOException

Throws:
  `IOException`

### getApproximateTextProtocolLength

int getApproximateTextProtocolLength() throws IOException

Throws:
  `IOException`

### toString

String toString()

Overrides:
  `toString` in class `Object`

### isNullData

boolean isNullData()

### getColumnType

ColumnType getColumnType()

### canBeLongData

boolean canBeLongData()